## pupnp-1.8 1.8.2

=== debian/changelog ===
pupnp-1.8 (1:1.8.2-3) unstable; urgency=medium

  * debian/rules:
    - Build with --enable-reuseaddr option.

 -- James Cowgill <jcowgill@debian.org>  Sat, 23 Sep 2017 18:56:47 +0100

pupnp-1.8 (1:1.8.2-2) unstable; urgency=medium

  * debian/control:
    - Add Conflicts/Replaces to libupnp1.8-dev on old -dev package. These
      packages should not be installed together.

 -- James Cowgill <jcowgill@debian.org>  Tue, 29 Aug 2017 15:15:21 +0100

pupnp-1.8 (1:1.8.2-1) unstable; urgency=medium

  * New upstream release.
    - Upstream has reverted the library rename so the 1.8 library is once
      again called "libupnp" (instead of "libupnp-1.8"). Therefore rename all
      the Debian packages to follow upstream.

  * debian/clean:
    - Remove build/inc directory on clean.
  * debian/control:
    - Rename libupnp-1.8-{dev,doc} to libupnp1.8-{dev,doc}.
    - Rename lib{ixml,upnp}-1.8-10 to lib{ixml,upnp}10.
    - Add Conflicts on libupnp1.8-dev to libupnp6-dev.
    - Remove obsolete replaces in the doc package.
    - Bump standards version to 4.0.1.
  * debian/copyright:
    - Use https Format URL.
  * debian/libupnp10.symbols:
    - Add new UpnpSetEventQueueLimits symbol in 1.8.2.
  * debian/patches:
    - Refresh
  * debian/rules:
    - Simplify dh_install override in d/rules.
  * debian/tests:
    - Edit autopkgtests to use -lupnp.


 -- James Cowgill <jcowgill@debian.org>  Fri, 18 Aug 2017 14:46:36 +0100

pupnp-1.8 (1:1.8.1-1) unstable; urgency=medium

  * New upstream release.

  * debian/copyright:
    - Remove obsolete RSA section from copyright file.
  * debian/patches:
    - Drop patches applied upstream.
    - Refresh other patches.
  * debian/rules:
    - Drop --enable-ipv6 which is now the default.

 -- James Cowgill <jcowgill@debian.org>  Fri, 26 May 2017 09:22:52 +0100

pupnp-1.8 (1:1.8.0-3) unstable; urgency=medium

  * debian/tests:
    - Try again to fix autopkgtests by just depending on build-essential.

 -- James Cowgill <jcowgill@debian.org>  Mon, 10 Apr 2017 11:25:46 +0100

pupnp-1.8 (1:1.8.0-2) unstable; urgency=medium

  * debian/control:
    - Add Vcs-Git and Vcs-Browser fields.
  * debian/libupnp-1.8-doc.doc-base:
    - Rename doc-base document to avoid conflicting with libupnp6-doc.
      (Closes: #859618)
  * debian/tests:
    - Use gcc to build tests in the autopkgtest script.

 -- James Cowgill <jcowgill@debian.org>  Wed, 05 Apr 2017 11:08:43 +0100

pupnp-1.8 (1:1.8.0-1) unstable; urgency=medium

  * Initial release of pupnp-1.8 source package. (Closes: #856165)
  * All packages renamed to follow upstream changing the include directory
    path and individual library names.
  * Set myself as the package maintainer.

  * .gitignore:
    - Override upstream's gitignore which ignores .patch files.
  * debian/README.source:
    - Remove.
  * debian/clean:
    - Cleanup docs/doxygen.
  * debian/control:
    - Drop manual debug package.
    - Split libixml into a separate package.
    - Run wrap-and-sort -s.
    - Bump standards version to 3.9.8.
    - Drop direct build dependencies on autoconf, automake and libtool which
      debhelper already depends on through dh-autoreconf.
    - Enable Multi-Arch.
  * debian/compat:
    - Use debhelper compat 10.
  * debian/copyright:
    - Update for 1.8 and reformat slightly.
  * debian/*.dirs:
    - Remove useless dirs files.
  * debian/libupnp-1.8-doc.lintian-overrides:
    - Remove.
  * debian/rules:
    - Disable testsuite which accesses the network in its unpatched form.
    - Don't bother cleaning up autotools files since debhelper already does
      that.
    - Don't build documentation in build-arch builds.
    - Mark build target as phony.
    - Exclude *.map files from the doc package.
  * debian/patches:
    - 0001-Use-LFS-functions-in-libixml.patch:
      + Based on 27-LFS-fix-32bit-large_files.patch
      + Use version applied upstream.
    - 0002-Move-threadutil-source-code-to-libupnp.patch:
      + Backported from upstream to avoid having to ship an extra useless
        library.
    - 0003-Replace-MD5-impmplementation-with-public-domain-vers.patch:
      + Based on 01-debian-md5-licence.patch
      + Use version applied upstream.
    - 03_update-doc.patch:
      + Renamed from 09-update-doc.patch.
    - 04_optimization-flags.patch:
      + Add patch to ensure Debian build flags are used during the build.
    - All other patches removed as either obsolete or if an equivalent was
      applied upstream.
  * debian/*.symbols:
    - Update symbols files for 1.8.
  * debian/tests:
    - Add basic autopkgtest.
  * debian/watch:
    - Update to use new github repository.

 -- James Cowgill <jcowgill@debian.org>  Sun, 19 Mar 2017 16:06:24 +0000

libupnp (1:1.6.19+git20160116-1.2) unstable; urgency=high

  * Non-maintainer upload.
  * Fix out-of-bounds-access (CVE-2016-8863, Closes: #842093)
  * Fix usage on ipv6 enabled hosts (Closes: #813249) 

 -- Uwe Kleine-König <ukleinek@debian.org>  Fri, 09 Dec 2016 10:40:28 +0100

libupnp (1:1.6.19+git20160116-1.1) unstable; urgency=high

  * Non-maintainer upload.
  * Don't allow unhandled POSTs to write to the filesystem by
    default (Closes: #831857) (CVE-2016-6255)
    Thanks to Matthew Garrett for the patch.

 -- James Cowgill <jcowgill@debian.org>  Wed, 19 Oct 2016 21:03:51 +0100

libupnp (1:1.6.19+git20160116-1) unstable; urgency=medium

  * Update to latest git:
    + Don't fail if IPv6 is unavailable, we might be running on an
      IPv4-only host (Closes: #781876).
    + Don't define strndup and strnlen if autoconf says we already have them
      (Closes: #807393).
  * Add a patch to have Doxygen not write timestamps in the generated
    documentation to allow package builds to be reproducible.
    [Jérémy Bobbio <lunar@debian.org>] (patch 22) (Closes: #774518).
  * Bind miniserver sockets to our given IP address not INADDR_ANY (patch 24).
  * libupnp6-doc: add override of embedded-javascript-library for jquery.js, 

