=== debian/control ===
Source: pupnp-1.8
Section: net
Priority: optional
Homepage: http://pupnp.sourceforge.net/
Maintainer: James Cowgill <jcowgill@debian.org>
Build-Depends:
 debhelper (>= 10),
Build-Depends-Indep:
 doxygen,
 graphviz,
Standards-Version: 4.0.1
Vcs-Browser: https://anonscm.debian.org/cgit/users/jcowgill/pupnp-1.8.git
Vcs-Git: https://anonscm.debian.org/git/users/jcowgill/pupnp-1.8.git
Testsuite: autopkgtest

Package: libupnp10
Multi-Arch: same
Architecture: any
Section: libs
Depends: ${misc:Depends}, ${shlibs:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: Portable SDK for UPnP Devices, version 1.8 (shared library)
 The Portable SDK for UPnP Devices (libupnp) provides developers with an
 API and open source code for building control points, devices, and
 bridges that are compliant with Version 1.0 of the Universal Plug and
 Play Device Architecture Specification - see http://www.upnp.org/ for
 specifications.
 .
 The libupnp10 package contains the runtime library for uPnP.

Package: libixml10
Multi-Arch: same
Architecture: any
Section: libs
Depends: ${misc:Depends}, ${shlibs:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: Portable SDK for UPnP Devices, version 1.8 (ixml shared library)
 The Portable SDK for UPnP Devices (libupnp) provides developers with an
 API and open source code for building control points, devices, and
 bridges that are compliant with Version 1.0 of the Universal Plug and
 Play Device Architecture Specification - see http://www.upnp.org/ for
 specifications.
 .
 The libixml10 package contains the runtime libraries for the Linux DOM2
 XML Parser (IXML).

Package: libupnp1.8-dev
Multi-Arch: same
Architecture: any
Section: libdevel
Depends:
 libixml10 (= ${binary:Version}),
 libupnp10 (= ${binary:Version}),
 ${misc:Depends}
Suggests: libupnp1.8-doc
Conflicts: libupnp-1.8-dev, libupnp6-dev
Replaces: libupnp-1.8-dev
Description: Portable SDK for UPnP Devices, version 1.8 (development files)
 The Portable SDK for UPnP Devices (libupnp) provides developers with an
 API and open source code for building control points, devices, and
 bridges that are compliant with Version 1.0 of the Universal Plug and
 Play Device Architecture Specification - see http://www.upnp.org/ for
 specifications.
 .
 The libupnp-dev package contains the header files, documentation and
 debug versions of libraries needed for development of programs using
 uPnP.

Package: libupnp1.8-doc
Multi-Arch: foreign
Architecture: all
Section: doc
Depends: ${misc:Depends}
Description: Documentation for the Portable SDK for UPnP Devices, version 1.8
 The Portable SDK for UPnP Devices (libupnp) provides developers with an
 API and open source code for building control points, devices, and
 bridges that are compliant with Version 1.0 of the Universal Plug and
 Play Device Architecture Specification - see http://www.upnp.org/ for
 specifications.
 .
 This package contains the HTML documentation for the libupnp-1.8 library
 in /usr/share/doc/libupnp1.8-doc/
