=== debian/tests/control ===
Tests: build
Depends: build-essential, libupnp1.8-dev, pkg-config
