=== debian/control ===
--- 
+++ 
@@ -8,10 +8,10 @@
 Build-Depends-Indep:
  doxygen,
  graphviz,
-Standards-Version: 4.0.1
+Rules-Requires-Root: no
+Standards-Version: 4.1.1
 Vcs-Browser: https://anonscm.debian.org/cgit/users/jcowgill/pupnp-1.8.git
 Vcs-Git: https://anonscm.debian.org/git/users/jcowgill/pupnp-1.8.git
-Testsuite: autopkgtest
 
 Package: libupnp10
 Multi-Arch: same
@@ -44,7 +44,7 @@
  The libixml10 package contains the runtime libraries for the Linux DOM2
  XML Parser (IXML).
 
-Package: libupnp1.8-dev
+Package: libupnp-dev
 Multi-Arch: same
 Architecture: any
 Section: libdevel
@@ -53,8 +53,9 @@
  libupnp10 (= ${binary:Version}),
  ${misc:Depends}
 Suggests: libupnp1.8-doc
-Conflicts: libupnp-1.8-dev, libupnp6-dev
-Replaces: libupnp-1.8-dev
+Breaks: libupnp-1.8-dev (<< 1:1.8.2-1~), libupnp1.8-dev (<< 1:1.8.3-1~)
+Conflicts: libupnp6-dev
+Replaces: libupnp-1.8-dev (<< 1:1.8.2-1~), libupnp1.8-dev (<< 1:1.8.3-1~)
 Description: Portable SDK for UPnP Devices, version 1.8 (development files)
  The Portable SDK for UPnP Devices (libupnp) provides developers with an
  API and open source code for building control points, devices, and
