=== debian/control ===
--- 
+++ 
@@ -4,16 +4,16 @@
 Homepage: http://pupnp.sourceforge.net/
 Maintainer: James Cowgill <jcowgill@debian.org>
 Build-Depends:
- debhelper (>= 10),
+ debhelper (>= 11),
 Build-Depends-Indep:
  doxygen,
  graphviz,
 Rules-Requires-Root: no
-Standards-Version: 4.1.1
-Vcs-Browser: https://anonscm.debian.org/cgit/users/jcowgill/pupnp-1.8.git
-Vcs-Git: https://anonscm.debian.org/git/users/jcowgill/pupnp-1.8.git
+Standards-Version: 4.2.1
+Vcs-Browser: https://salsa.debian.org/debian/pupnp-1.8
+Vcs-Git: https://salsa.debian.org/debian/pupnp-1.8.git
 
-Package: libupnp10
+Package: libupnp13
 Multi-Arch: same
 Architecture: any
 Section: libs
@@ -26,7 +26,7 @@
  Play Device Architecture Specification - see http://www.upnp.org/ for
  specifications.
  .
- The libupnp10 package contains the runtime library for uPnP.
+ The libupnp13 package contains the runtime library for uPnP.
 
 Package: libixml10
 Multi-Arch: same
@@ -50,9 +50,9 @@
 Section: libdevel
 Depends:
  libixml10 (= ${binary:Version}),
- libupnp10 (= ${binary:Version}),
+ libupnp13 (= ${binary:Version}),
  ${misc:Depends}
-Suggests: libupnp1.8-doc
+Suggests: libupnp-doc
 Breaks: libupnp-1.8-dev (<< 1:1.8.2-1~), libupnp1.8-dev (<< 1:1.8.3-1~)
 Conflicts: libupnp6-dev
 Replaces: libupnp-1.8-dev (<< 1:1.8.2-1~), libupnp1.8-dev (<< 1:1.8.3-1~)
@@ -67,11 +67,13 @@
  debug versions of libraries needed for development of programs using
  uPnP.
 
-Package: libupnp1.8-doc
+Package: libupnp-doc
 Multi-Arch: foreign
 Architecture: all
 Section: doc
 Depends: ${misc:Depends}
+Breaks: libupnp1.8-doc (<< 1:1.8.3-3~)
+Replaces: libupnp1.8-doc (<< 1:1.8.3-3~)
 Description: Documentation for the Portable SDK for UPnP Devices, version 1.8
  The Portable SDK for UPnP Devices (libupnp) provides developers with an
  API and open source code for building control points, devices, and
@@ -79,5 +81,5 @@
  Play Device Architecture Specification - see http://www.upnp.org/ for
  specifications.
  .
- This package contains the HTML documentation for the libupnp-1.8 library
- in /usr/share/doc/libupnp1.8-doc/
+ This package contains the HTML documentation for the libupnp library
+ in /usr/share/doc/libupnp-dev/
