=== debian/watch ===
version=4
https://github.com/mrjimenez/pupnp/tags .*/release-@ANY_VERSION@@ARCHIVE_EXT@
